import scrapy


class MaoyanSpider(scrapy.Spider):
    name = 'maoyan'
    allowed_domains = ['maoyan.com']
    start_urls = ['https://maoyan.com/films?showType=2&offset={}'.format(num * 30) for num in range(5)]
    # def start_requests(self):
    #     url = 'https://maoyan.com/films?showType=2&offset={}'
        # for num in range(5):
        #     scrapy.Request(url.format(num*30),callback=self.parse)
    def parse(self, response):
        response.encode = 'utf-8'
        names = response.xpath('//div[@class="channel-detail movie-item-title"]/@title').extract()
        stars =[div.xpath('string(.)').extract_first() for div in response.xpath('//div[@class="channel-detail channel-detail-orange"]')]
        for name1,star in zip(names,stars):
            yield {
                'name1':name1,
                'star':star
            }